import { useRequest } from "@/use/useHttp"

/**
 *  获取购物车列表
 * @returns 
*/
export const GetShoppingCartApi = () => {
    return useRequest({
        url: `/v1/mall/shoppingCart/productColor`,
        method: "get",
    })
}

/**
 *  批量添加面料颜色到物车列表
 * @returns 
*/
export const AddShoppingCartApi = () => {
    return useRequest({
        url: `/v1/mall/shoppingCart/productColor/list`,
        method: "post",
    })
}

/**
 *  批量删除购物车面料颜色
 * @returns 
*/
export const DelShoppingCartApi = () => {
    return useRequest({
        url: `/v1/mall/shoppingCart/productColor`,
        method: "delete",
    })
}

/**
 *  修改购物车数量
 * @returns 
*/
export const UpdateShoppingCartApi = () => {
    return useRequest({
        url: `/v1/mall/shoppingCart/productColor`,
        method: "put",
    })
}